Page MenuHomePhabricator

[RISCV][test] Precommit tests for D108129.
ClosedPublic

Authored by jacquesguan on Sep 28 2021, 7:07 PM.

Diff Detail

Unit TestsFailed

TimeTest
120 msx64 debian > ORC-x86_64-linux.TestCases/Linux/x86-64::trivial-cxa-atexit.S
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -m64 -c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/orc/X86_64LinuxConfig/TestCases/Linux/x86-64/Output/trivial-cxa-atexit.S.tmp /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/orc/TestCases/Linux/x86-64/trivial-cxa-atexit.S
130 msx64 debian > ORC-x86_64-linux.TestCases/Linux/x86-64::trivial-static-initializer.S
Script: -- : 'RUN: at line 7'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -m64 -c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/orc/X86_64LinuxConfig/TestCases/Linux/x86-64/Output/trivial-static-initializer.S.tmp /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/orc/TestCases/Linux/x86-64/trivial-static-initializer.S
140 msx64 debian > ORC-x86_64-linux.TestCases/Linux/x86-64::trivial-tls.S
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -m64 -c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/orc/X86_64LinuxConfig/TestCases/Linux/x86-64/Output/trivial-tls.S.tmp /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/orc/TestCases/Linux/x86-64/trivial-tls.S
1,570 msx64 debian > libomp.api::omp_get_wtime.c
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -fopenmp -pthread -fno-experimental-isel -I /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/src -I /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test -L /var/lib/buildkite-agent/builds/llvm-project/build/lib -I /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test/ompt /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test/api/omp_get_wtime.c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/test/api/Output/omp_get_wtime.c.tmp -lm -latomic && /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/test/api/Output/omp_get_wtime.c.tmp

Event Timeline

jacquesguan created this revision.Sep 28 2021, 7:07 PM
jacquesguan requested review of this revision.Sep 28 2021, 7:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 28 2021, 7:07 PM
RKSimon added inline comments.Sep 29 2021, 1:56 AM
llvm/test/CodeGen/RISCV/rvv/vmulhu-sdnode-rv32.ll
306

you can probably get rid of cfi noise bv adding a nounwind attribute?

Is there a reason we're only testing on RV32?

Add rv64 tests.

RKSimon accepted this revision.Oct 28 2021, 1:26 AM

LGTM

This revision is now accepted and ready to land.Oct 28 2021, 1:26 AM
frasercrmck requested changes to this revision.Oct 28 2021, 2:11 AM

LGTM if that issue is fixed.

llvm/test/CodeGen/RISCV/rvv/vmulhu-sdnode.ll
39 ↗(On Diff #382934)

Missing checks here and in other functions. Unless the file wasn't generated correctly, this is probably because the codegen differs between RV32 and RV64. You likely need --check-prefixes=RV32,CHECK and --check-prefixes=RV64,CHECK

This revision now requires changes to proceed.Oct 28 2021, 2:11 AM

Nice catch!

llvm/test/CodeGen/RISCV/rvv/vmulhu-sdnode.ll
3 ↗(On Diff #382934)

As per @frasercrmck request:

; RUN: llc -mtriple=riscv32 -mattr=+experimental-v -verify-machineinstrs < %s | FileCheck %s --check-prefixes=CHECK,RV32
; RUN: llc -mtriple=riscv64 -mattr=+experimental-v -verify-machineinstrs < %s | FileCheck %s --check-prefixes=CHECK,RV64

Add check prefix for difference between RV32 and RV64.

LGTM if that issue is fixed.

Done, thanks a lot.

jacquesguan added inline comments.Oct 28 2021, 8:24 PM
llvm/test/CodeGen/RISCV/rvv/vmulhu-sdnode.ll
3 ↗(On Diff #382934)

Done, thanks a lot.

frasercrmck accepted this revision.Oct 29 2021, 3:35 AM

Thanks!

This revision is now accepted and ready to land.Oct 29 2021, 3:35 AM
This revision was landed with ongoing or failed builds.Nov 1 2021, 7:38 PM
This revision was automatically updated to reflect the committed changes.